# -*- coding: utf-8 -*-
# This file is part of the diagram-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

from trytond.pool import PoolMeta


class Rule(metaclass=PoolMeta):
    __name__ = 'ir.rule'

    @classmethod
    def _context_modelnames(cls):
        """ add model_name to context
        """
        result = super(Rule, cls)._context_modelnames()
        result |= {
            'ir.ui.view',
            'diagram.chart'}
        return result

# end Rule
