# -*- coding: utf-8 -*-
# This file is part of the diagram-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.

sel_scaling_graph = [
    ('off', 'not scaled'),
    ('alldata', 'scaled, all data'),
    ('view', 'scaled for the field of view'),
    ('six', 'scaled for field of view and six months before'),
    ('fix', 'manual scaling'),
    ]

sel_scaling_chart = []
sel_scaling_chart.append(sel_scaling_graph[0])
sel_scaling_chart.append(('graph', 'Setting per graph'))
sel_scaling_chart.extend(sel_scaling_graph[1:-1])


sel_scaling_info = [
    ('off', 'off'),
    ('alldata', 'all data'),
    ('view', 'view'),
    ('six', 'view +6m'),
    ('fix', 'manual'),
    ('graph', 'per graph'),
    ]

NUM_OF_GRAPH = 10
template_view_line = '<field %(linecolor)s name="%(fname)s" ' +\
    'fill="%(fill)s" empty="0" string="%(string)s"/>'

template_view_point = """<?xml version="1.0"?>
<graph type="line" legend="%(legend)s" %(colscheme)s %(bgcol)s>
    <x>
        <field name="date"/>
    </x>
    <y>
        %(lines)s
    </y>
</graph>
"""
