# -*- coding: utf-8 -*-
# This file is part of the diagram-module from m-ds for Tryton.
# The COPYRIGHT file at the top level of this repository contains the
# full copyright notices and license terms.


from sql.functions import Function


class GenerateSeries(Function):
    """ sql: generate_series
    """
    __slots__ = ()
    _function = 'generate_series'

    def __str__(self):
        return super(GenerateSeries, self).__str__() + ' as "dates"'

# end GenerateSeries


class RowNumbr(Function):
    """ sql:
    """
    __slots__ = ()
    _function = 'row_number'

    def __str__(self):
        return 'row_number() over ()'

# end RowNumbr


class DatesName(Function):
    """ a column 'dates'
    """
    __slots__ = ()
    _function = 'dates'

    def __str__(self):
        return '"dates"'

# end DatesName
